INTERFACE
SUBROUTINE SURBOUNDAD(&
 & KPROMA,KIDIA,KFDIA,&
 & PQ5,PT5,PTS5,PAPH5,&
 & PQ,PT,PTS,PAPH,PAPHI,&
 & PWS5,PVGRAT5,PWL5,PSN5,PSLM5,&
 & PWS,PVGRAT,PWL,PSN,&
 & PES5,PWET5,PQS5,&
 & PWET,PQS,&
 & PCPTGZ,PCPTS) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PQ5(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PT5(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS5(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH5(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQ(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PT(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTS(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAPH(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAPHI(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PWS5(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PVGRAT5(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PWL5(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSN5(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLM5(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWS(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVGRAT(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWL(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSN(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PES5(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PWET5(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PQS5(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWET(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQS(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCPTGZ(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCPTS(KPROMA)
END SUBROUTINE SURBOUNDAD
END INTERFACE
